curl --request GET \
--url https://devx.{environment}.oleria.io/v1/resource-classes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/resource-classes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/resource-classes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "class:repo (GitHub based on resources)",
"name": "repo",
"objectMetadata": {
"ApplicationInstanceId": "<string>",
"GeneratedTime": "2023-11-07T05:31:56Z",
"Profile": "Account",
"ObjectOrRelationshipType": "<string>"
},
"globalId": "<string>",
"oleriaObjectMetadata": {
"enrichmentVersion": "<string>",
"generatedTime": "2023-11-07T05:31:56Z"
},
"displayName": "Repositories",
"pageUri": "/lightning/r/Opportunity",
"sourceTag": "GitHub",
"analyticsResourceInstanceCount": 123,
"sorPrimaryStewardEmail": "<string>"
}{
"code": "BAD_REQUEST",
"message": "The request was malformed."
}{
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication token."
}{
"code": "FORBIDDEN",
"message": "The token lacks the required scope."
}{
"code": "NOT_FOUND",
"message": "No resource with the given id."
}{
"code": "TOO_MANY_REQUESTS",
"message": "Rate limit exceeded. Retry after the specified interval."
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred."
}Get
Returns a resource class by its global id. Requires the https://devx.{environment}.oleria.io/read scope.
Authorizations
OAuth 2.0 client-credentials flow. Request an access token from the token endpoint and send it as Authorization: Bearer <token>.
Path Parameters
Global id of the resource class.
Response
The resource class.
An Oleria ResourceClass object represents a class of resource instances within an application (e.g. Repositories in GitHub, Opportunities in Salesforce)
An identifier (unique to the integrated application) for a ResourceClass object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. Ideally this id is a straightforward derivation of the class name
"class:repo (GitHub based on resources)"
The name of the resource class (this may be different from displayName)
1"repo"
The ObjectMetadata structure defines metadata that applies to every object and relationship, and is usually managed by the system that receives the data
Show child attributes
Show child attributes
object metadata supersets object metadata with platform enrichment provenance — the enrichment version and the time the record was generated
Show child attributes
Show child attributes
The display name of the resource class (typically used to represent the resource class in a user experience)
1"Repositories"
The URI of the resource entity
"/lightning/r/Opportunity"
An application-specific tag representing the resource class information data source
"GitHub"
Cached count of Oleria ResourceInstance objects belonging to this Oleria ResourceClass.

